Summary:        Binding to libunbound for Lua
Name:           lua-unbound
Version:        1.0.0
Release:    2%{?dist}
License:        MIT
URL:            https://www.zash.se/luaunbound.html
Source0:        https://code.zash.se/dl/luaunbound/luaunbound-%{version}.tar.gz
Source1:        https://code.zash.se/dl/luaunbound/luaunbound-%{version}.tar.gz.asc
Source2:        gpgkey-3E52119EF853C59678DBBF6BADED9A77B67AD329.gpg
Requires:       lua(abi) = %{lua_version}
BuildRequires:  gnupg2
BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  lua >= %{lua_version}
BuildRequires:  lua-devel >= %{lua_version}
BuildRequires:  unbound-devel

%description
Lua bindings for the Unbound APIs.

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%setup -q -n luaunbound-%{version}

%build
%make_build \
  LUA_VERSION=%{lua_version} \
  MYCFLAGS="$RPM_OPT_FLAGS" \
  MYLDFLAGS="$RPM_LD_FLAGS" \
  LD=%{__cc}

%install
%make_install LUA_LIBDIR=%{lua_libdir}

chmod 755 %{buildroot}%{lua_libdir}/lunbound.so

%check
lua -e \
  'package.cpath="%{buildroot}%{lua_libdir}/?.so;"..package.cpath;
   local lunbound = require("lunbound");
   print("Hello from "..lunbound._LIBVER.."!");'

%files
%license LICENSE
%doc README.markdown
%{lua_libdir}/lunbound.so

%changelog
* Tue May 07 2024 Fanjun Kong <fanjunkong@tencent.com> - 1.0.0-2
- epol debrand

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.0-1
- initial build
